summaryrefslogtreecommitdiffstats
path: root/desktop/tint2
diff options
context:
space:
mode:
author Eugene Wissner <belka.ew@gmail.com>2010-05-13 00:57:42 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:42 +0200
commitf99a832fb44d23f1b9b708253b394bed85d6fa1c (patch)
tree8b608e4a1635d63acd43ae787791ea759237ed92 /desktop/tint2
parent717a8760d6448f286f0a18a9b36d991be841efaa (diff)
downloadslackbuilds-f99a832fb44d23f1b9b708253b394bed85d6fa1c.tar.gz
slackbuilds-f99a832fb44d23f1b9b708253b394bed85d6fa1c.tar.xz
desktop/tint2: Added to 13.0 repository
Diffstat (limited to 'desktop/tint2')
-rw-r--r--desktop/tint2/README12
-rw-r--r--desktop/tint2/slack-desc19
-rw-r--r--desktop/tint2/tint2.SlackBuild71
-rw-r--r--desktop/tint2/tint2.info10
4 files changed, 112 insertions, 0 deletions
diff --git a/desktop/tint2/README b/desktop/tint2/README
new file mode 100644
index 0000000000..b1870db453
--- /dev/null
+++ b/desktop/tint2/README
@@ -0,0 +1,12 @@
+tint2 is a simple panel/taskbar intentionally made for openbox3, but should
+also work with other window managers. It's based off ttm code.
+
+The goal is to keep a clean and unintrusive look with code lightweight and
+compliance with freedesktop specifications.
+
+imlib2 is required (it is also available at SlackBuilds.org).
+
+On the first run, /etc/xdg/tint2/tint2rc is copied to ~/.config/tint2/tint2rc.
+This is used as the configuration. Other samples are included in
+/usr/doc/tint2-*/tint2rc-samples/tintrc0* that may also be used; you can edit
+~/.config/tint2/tint2rc to your preference.
diff --git a/desktop/tint2/slack-desc b/desktop/tint2/slack-desc
new file mode 100644
index 0000000000..1bd6827345
--- /dev/null
+++ b/desktop/tint2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |----handy-ruler------------------------------------------------------|
+tint2: Tint2 (panel/taskbar for openbox3 and other window managers)
+tint2:
+tint2: tint2 is a simple panel/taskbar intentionally made for openbox3, but
+tint2: should also work with other window managers. It's based off ttm code.
+tint2:
+tint2: The goal is to keep a clean and unintrusive look with code
+tint2: lightweight and compliance with freedesktop specifications.
+tint2:
+tint2: Homepage: http://code.google.com/p/tint2/
+tint2:
+tint2:
diff --git a/desktop/tint2/tint2.SlackBuild b/desktop/tint2/tint2.SlackBuild
new file mode 100644
index 0000000000..dc244b95fb
--- /dev/null
+++ b/desktop/tint2/tint2.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for tint2
+
+# Originally written by Jonathan Yu <yumigator[AT]moldysoup.com>
+# and rewritten by Eugene Wissner <belka.ew@gmail.com>
+# You are free to modify or redistribute this in any way you wish.
+
+PRGNAM=tint2
+VERSION=${VERSION:-0.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-02 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tint2rc-samples
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+cp tintrc0* $PKG/usr/doc/$PRGNAM-$VERSION/tint2rc-samples
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/tint2/tint2.info b/desktop/tint2/tint2.info
new file mode 100644
index 0000000000..1d1ba29e66
--- /dev/null
+++ b/desktop/tint2/tint2.info
@@ -0,0 +1,10 @@
+PRGNAM="tint2"
+VERSION="0.7.1"
+HOMEPAGE="http://code.google.com/p/tint2/"
+DOWNLOAD="http://tint2.googlecode.com/files/tint2-0.7.1.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="b7a740550a82093d4d0d8143499f3f13"
+MD5SUM_x86_64=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka.ew@gmail.com"
+APPROVED="dsomero"